Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleFactory Class Reference

The QStyleFactory class creates QStyle objects. More...

`#include <qstylefactory.h>`

List of all member functions.

## Static Public Members

- QStringList keys ()
- QStyle * create ( const QString & key )

## Detailed Description

The QStyleFactory class creates QStyle objects.

The style factory creates a QStyle object for a given key with QStyleFactory::create(key).

The styles are either built-in or dynamically loaded from a style plugin (see QStylePlugin).

QStyleFactory::keys() returns a list of valid keys, typically including "windows", "motif", "cde", "motifplus", "platinum", "sgi" and "compact". Depending on the platform, "windowsxp", "aqua" or "macintosh" may be available.

## Member Function Documentation

### QStyle * QStyleFactory::create ( const QString & key )`[static]`

Creates a QStyle object that matches key. This is either a built-in style, or a style from a style plugin.

See also keys().

Example: themes/wood.cpp.

### QStringList QStyleFactory::keys ()`[static]`

Returns the list of keys this factory can create styles for.

See also create().

Example: themes/themes.cpp.

This file is part of the Qt toolkit. Copyright © 1995-2005 Trolltech. All Rights Reserved.